import { world } from "@minecraft/server";

/* 
Checks if the player joins for the first time
*/
export function playerJoins(player) {
  if (!player.hasTag("mrki_ab_registered_player")) {
    const WorldFirstLoadedObjective = world.scoreboard.getObjective("mrki_ab_WorldFirstLoaded") ?? world.scoreboard.addObjective("mrki_ab_WorldFirstLoaded", "mrki_ab_WorldFirstLoaded");
    player.runCommand("/scoreboard players add var mrki_ab_WorldFirstLoaded 1");

    const WorldFirstLoadedScore = WorldFirstLoadedObjective.getScore("var");
    if (WorldFirstLoadedScore == 1) {
      // execute code when the map is loaded first time
    }
    // execute code for the first time the player joins
    player.runCommand("/tellraw @s {\"rawtext\":[{\"text\":\"§r§aAlphabet Blocks Add-On installed!\"}]}") // Max length for the string is 28 symbols (including spaces)
    player.runCommand("/gamerule sendcommandfeedback false")
    player.runCommand("/give @s mrki_ab:guide_book_spawn_egg")

    player.addTag("mrki_ab_registered_player");
  }
}

