
import * as small_blocks from "./small_blocks";
import { world, system } from "@minecraft/server";
import { itemHold } from "./items/item_hold";
//import { itemLore } from "./items/item_lore";
import { playerJoins } from "./events/player_joins";

let curTick = 0;
const INIT_TIME = 0;

system.runTimeout(() => {
  system.runInterval(() => {
    try {
      if (curTick > INIT_TIME) {
        const allPlayers = world.getAllPlayers();
        allPlayers.forEach((player) => {
          if (!player.isValid()) return;
          else {
            itemHold(player); // Handle actionbar text based on item
            playerJoins(player); // Handels all player joins
            // itemLore(player); // Adds lore text to specific items
          }
        });
      }
      curTick++;
    } catch (e) {
      console.warn(e);
    }
  }, 0);
}, 130);